Bug 1434864 - sahara-image-elements: failure in 5.1.0 due to wrong version for mapr-hue
Summary: sahara-image-elements: failure in 5.1.0 due to wrong version for mapr-hue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: sahara-image-elements
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 11.0 (Ocata)
Assignee: RHOS Maint
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks: 1337664
TreeView+ depends on / blocked
 
Reported: 2017-03-22 13:54 UTC by Luigi Toscano
Modified: 2017-05-17 20:11 UTC (History)
6 users (show)

Fixed In Version: sahara-image-elements-6.0.0-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:11:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 448644 None None None 2017-03-23 08:06:26 UTC
Launchpad 1675047 None None None 2017-03-22 14:41:54 UTC

Description Luigi Toscano 2017-03-22 13:54:11 UTC
Description of problem:
The generation of the image for MapR 5.1 fails here:

# sahara-image-create -p mapr -r 5.1.0 -x

[...]
+ download_yum_package mapr-flume 1.6.0 /opt/mapr-repository/ecosystem
+ local package=mapr-flume
+ local version=1.6.0
+ local directory=/opt/mapr-repository/ecosystem
+ local 'package_spec=mapr-flume-1.6.0*'
+ yumdownloader --destdir /opt/mapr-repository/ecosystem 'mapr-flume-1.6.0*'
No Presto metadata available for mapr_ecosystem
+ for package in '$packages'
+ IFS=:
+ read -ra package_version
+ download_package mapr-hue 3.7.0 /opt/mapr-repository/ecosystem rhel7
+ local package=mapr-hue
+ local version=3.7.0
+ local directory=/opt/mapr-repository/ecosystem
+ local distro=rhel7
+ [[ rhel7 == \u\b\u\n\t\u ]]
+ [[ rhel7 == \c\e\n\t\o\s ]]
+ [[ rhel7 == \c\e\n\t\o\s\7 ]]
+ [[ rhel7 == \r\h\e\l ]]
+ [[ rhel7 == \r\h\e\l\7 ]]
+ download_yum_package mapr-hue 3.7.0 /opt/mapr-repository/ecosystem
+ local package=mapr-hue
+ local version=3.7.0
+ local directory=/opt/mapr-repository/ecosystem
+ local 'package_spec=mapr-hue-3.7.0*'
+ yumdownloader --destdir /opt/mapr-repository/ecosystem 'mapr-hue-3.7.0*'
+ for package in '$packages'
+ IFS=:
+ read -ra package_version
+ download_package mapr-hue-base 3.7.0 /opt/mapr-repository/ecosystem rhel7
+ local package=mapr-hue-base
+ local version=3.7.0
+ local directory=/opt/mapr-repository/ecosystem
+ local distro=rhel7
+ [[ rhel7 == \u\b\u\n\t\u ]]
+ [[ rhel7 == \c\e\n\t\o\s ]]
+ [[ rhel7 == \c\e\n\t\o\s\7 ]]
+ [[ rhel7 == \r\h\e\l ]]
+ [[ rhel7 == \r\h\e\l\7 ]]
+ download_yum_package mapr-hue-base 3.7.0 /opt/mapr-repository/ecosystem
+ local package=mapr-hue-base
+ local version=3.7.0
+ local directory=/opt/mapr-repository/ecosystem
+ local 'package_spec=mapr-hue-base-3.7.0*'
+ yumdownloader --destdir /opt/mapr-repository/ecosystem 'mapr-hue-base-3.7.0*'
No Match for argument mapr-hue-base-3.7.0*
Nothing to download

---------------------------------------
Removing "3.7.0" from the "hue" element in elements/hadoop-mapr/resources/spec_5.1.0.json fixes the issue.

Version-Release number of selected component (if applicable):
sahara-image-elements-6.0.0-3.el7ost.noarch

Comment 3 Luigi Toscano 2017-03-28 14:28:57 UTC
The generation of MapR 5.1 images now completes successfully.

Tested with:
sahara-image-elements-6.0.0-6.el7ost.noarch
diskimage-builder-1.27.1-0.20170302013848.65c6da5.el7ost.noarch
dib-utils-0.0.11-1.el7ost.noarch

Comment 4 errata-xmlrpc 2017-05-17 20:11:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.